Bug 506636 - [Intel 5.4 Bug] failed info in GM965 (T61) with dock station after pm-hibernate
[Intel 5.4 Bug] failed info in GM965 (T61) with dock station after pm-hibernate
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: acpi (Show other bugs)
5.4
All Linux
low Severity medium
: alpha
: ---
Assigned To: John Feeney
Red Hat Kernel QE team
:
Depends On:
Blocks: 480792
  Show dependency treegraph
 
Reported: 2009-06-17 23:04 EDT by DongpoLiu
Modified: 2013-01-10 02:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-28 18:08:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
t61 hibernate dmesg (40.81 KB, text/plain)
2009-06-17 23:05 EDT, DongpoLiu
no flags Details
dmesg of t61 with RHEL 5.4 Snap1 x86_64 OS (33.21 KB, text/plain)
2009-07-12 21:51 EDT, DongpoLiu
no flags Details

  None (edit)
Description DongpoLiu 2009-06-17 23:04:22 EDT
Description of problem:
1) run "pm-hibernate"
2) press power button to re-start T61, user can see some "failed" info with RHEL 5.4 Alpha Client installed, see as follows:
eth0: Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX
 usbdev3.4_ep81: PM: resume from 0, parent 3-2:1.0 still 1
 usbdev3.4_ep02: PM: resume from 0, parent 3-2:1.0 still 1
 usbdev3.4_ep83: PM: resume from 0, parent 3-2:1.0 still 1
Restarting tasks...<3>hub 1-4:1.0: hub_port_status failed (err = -71)
hub 1-4:1.0: hub_port_status failed (err = -71)
hub 1-4:1.0: hub_port_status failed (err = -71)
hub 1-4:1.0: hub_port_status failed (err = -71)
hub 1-4:1.0: hub_port_status failed (err = -71)
hub 1-4:1.0: hub_port_status failed (err = -71)
hub 1-4:1.0: hub_port_status failed (err = -71)
 done
Enabling non-boot CPUs ...
SMP alternatives: switching to SMP code

also dmes
Comment 1 DongpoLiu 2009-06-17 23:05:51 EDT
Created attachment 348371 [details]
t61 hibernate dmesg
Comment 2 DongpoLiu 2009-06-18 01:37:48 EDT
BTW, this issue happens when T61 is set in a dock, while no such issue if T61 is out of a dock.
Comment 3 DongpoLiu 2009-07-02 22:39:14 EDT
T61 Regression result at RHEL 5.4 Beta x86_64 OS:
[root@osve-t61 ~]# dmesg | grep failed
Restarting tasks...<3>hub 1-4:1.0: hub_port_status failed (err = -71)
hub 1-4:1.0: hub_port_status failed (err = -71)
hub 1-4:1.0: hub_port_status failed (err = -71)
hub 1-4:1.0: hub_port_status failed (err = -71)
hub 1-4:1.0: hub_port_status failed (err = -71)
hub 1-4:1.0: hub_port_status failed (err = -71)
hub 1-4:1.0: hub_port_status failed (err = -71)
Comment 4 Matthew Garrett 2009-07-10 08:33:51 EDT
Does anything actually stop working as a result?
Comment 5 DongpoLiu 2009-07-12 21:50:08 EDT
I did a regression test at RHEL 5.4 Snap1 OS with 2.6.18-156.el5 x86_64 kernel. 
run "pm-hibernate", I can see T61 with Dock just blanks screen to enter hibernante state, but soon it automatically return to normal OS. 
dmesg is attached.
Comment 6 DongpoLiu 2009-07-12 21:51:47 EDT
Created attachment 351415 [details]
dmesg of t61 with RHEL 5.4 Snap1 x86_64 OS
Comment 7 Matthew Garrett 2009-07-12 21:58:38 EDT
You have no swap device in the -156 test. See "swsusp: Cannot find swap device, try swapon -a" from the dmesg. What is the actual reported bug here?
Comment 8 DongpoLiu 2009-07-13 02:09:35 EDT
I reinstalled RHEL 5.4 Snap1 OS with swap enabled, pm-hibernate can go now.

with Dock, above issue can be reproduced, while Ethernet/Audio/Graphics are OK,it seems nothings stopped.
Comment 9 DongpoLiu 2009-08-19 01:59:54 EDT
re-test at 2.6.18-158.el5 kernel:
with dock, pm-hibernate goes OK and Ethernet/Audio/Graphics are OK after wake it up.
Comment 10 Matthew Garrett 2009-09-02 13:30:41 EDT
So this bug can be closed now?
Comment 11 DongpoLiu 2009-09-02 21:05:56 EDT
yes,pls close it.

Note You need to log in before you can comment on or make changes to this bug.